<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::system::test::StateSynchronizerTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.0.2</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>alexaClientSDK</b></li><li class="navelem"><b>capabilityAgents</b></li><li class="navelem"><b>system</b></li><li class="navelem"><b>test</b></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html">StateSynchronizerTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::system::test::StateSynchronizerTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_state_synchronizer.html">StateSynchronizer</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::system::test::StateSynchronizerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::system::test::StateSynchronizerTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a31c95526d193cf5c3b7edb1f8a7dd4df"><td class="memItemLeft" align="right" valign="top"><a id="a31c95526d193cf5c3b7edb1f8a7dd4df"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html#a31c95526d193cf5c3b7edb1f8a7dd4df">SetUp</a> () override</td></tr>
<tr class="memdesc:a31c95526d193cf5c3b7edb1f8a7dd4df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test. <br /></td></tr>
<tr class="separator:a31c95526d193cf5c3b7edb1f8a7dd4df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:acb2b46ad4c8439c05e7c22e11d431192"><td class="memItemLeft" align="right" valign="top"><a id="acb2b46ad4c8439c05e7c22e11d431192"></a>
std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_context_manager.html">MockContextManager</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html#acb2b46ad4c8439c05e7c22e11d431192">m_mockContextManager</a></td></tr>
<tr class="memdesc:acb2b46ad4c8439c05e7c22e11d431192"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked Context Manager. Note that we make it a strict mock to ensure we test the flow completely. <br /></td></tr>
<tr class="separator:acb2b46ad4c8439c05e7c22e11d431192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3185c3af25a550e0373d5aa341e77b6"><td class="memItemLeft" align="right" valign="top"><a id="aa3185c3af25a550e0373d5aa341e77b6"></a>
std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_test_message_sender.html">TestMessageSender</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html#aa3185c3af25a550e0373d5aa341e77b6">m_mockMessageSender</a></td></tr>
<tr class="memdesc:aa3185c3af25a550e0373d5aa341e77b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked Message Sender. Note that we make it a strict mock to ensure we test the flow completely. <br /></td></tr>
<tr class="separator:aa3185c3af25a550e0373d5aa341e77b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dd76c9d12fb8b2acde61b2bfbc6ec87"><td class="memItemLeft" align="right" valign="top"><a id="a0dd76c9d12fb8b2acde61b2bfbc6ec87"></a>
std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_state_synchronizer_observer.html">MockStateSynchronizerObserver</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_state_synchronizer_test.html#a0dd76c9d12fb8b2acde61b2bfbc6ec87">m_mockStateSynchronizerObserver</a></td></tr>
<tr class="memdesc:a0dd76c9d12fb8b2acde61b2bfbc6ec87"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked State Synchronizer <a class="el" href="class_observer.html" title="Simple implementation of the AuthDelegateObserverInterface. ">Observer</a>. Note that we make it a strict mock to ensure we test the flow completely. <br /></td></tr>
<tr class="separator:a0dd76c9d12fb8b2acde61b2bfbc6ec87"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_state_synchronizer.html">StateSynchronizer</a></code> class. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/Users/kcecka/projects/avs-cpp-sdk/CapabilityAgents/System/test/StateSynchronizerTest.cpp</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.0.2 - Copyright 2016-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
